Bug 996203 - Wine64 seh:RtlUnwindEx error with c++ exception handling
Wine64 seh:RtlUnwindEx error with c++ exception handling
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 12:12 EDT by Alex Puchades
Modified: 2015-04-25 19:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-25 19:17:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The offending code (1.53 MB, application/x-gzip)
2013-08-12 12:13 EDT, Alex Puchades
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Wine HQ 34254 None None None Never

  None (edit)
Description Alex Puchades 2013-08-12 12:12:34 EDT
Description of problem:
When I was implementing a C wrapper for a C++ library, catching all possible exceptions in C++-land, I noticed my exception handlers were not being called and my app crashed under wine64. The same binary run just fine under windows 7, so it had to be a wine bug. Also, the same code compiled for 32 bits run successfully under the 32 bits version of wine.

Version-Release number of selected component (if applicable):
$ wine64 --version 
  wine-1.6

How reproducible:
(assuming current-dir = uncompressed attachment)

Steps to Reproduce:
1. $ ./compile64.sh
2. $ wine64 ./main.exe

Actual results:
  throwing exception
  err:seh:RtlUnwindEx invalid frame 7fff42757fd0 (0x132000-0x330000)
  err:seh:setup_exception stack overflow 2416 bytes in thread 0009 eip 
  0007fb39b2ab22b esp 0000000000130c90 stack 0x130000-0x131000-0x330000

Expected results:
No crash :) Just what happens when compiled with compile32.sh:
  throwing exception
  exception caught

Additional info:
Source code triggering the bug attached below.
Comment 1 Alex Puchades 2013-08-12 12:13:50 EDT
Created attachment 785771 [details]
The offending code
Comment 2 Michael Cronenworth 2013-08-12 12:38:02 EDT
Alex,

Have you filed a bug with upstream?

http://bugs.winehq.org/
Comment 3 Alex Puchades 2013-08-12 12:42:55 EDT
(In reply to Michael Cronenworth from comment #2)
> Alex,
> 
> Have you filed a bug with upstream?
> 
> http://bugs.winehq.org/

I'm doing it now

Note: sorry, I'm a beginner with bug trackers yet :)
Comment 4 Fedora End Of Life 2015-01-09 17:15:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Alex Puchades 2015-01-10 10:19:19 EST
The packages mingw32-winpthreads-static and mingw64-winpthreads-static must be installed in order to compile the attached package. Libwinpthread-1.dll is also necessary at runtime.
Comment 6 Alex Puchades 2015-04-25 19:17:16 EDT
This bug was fixed upstream. Closing this bug now.

Note You need to log in before you can comment on or make changes to this bug.